Bug 479042 - (CVE-2008-5716) CVE-2008-5716 xen: Incomplete upstream fix for CVE-2008-4405
CVE-2008-5716 xen: Incomplete upstream fix for CVE-2008-4405
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: CVE-2008-4405
  Show dependency treegraph
Reported: 2009-01-06 12:48 EST by Jan Lieskovsky
Modified: 2009-10-22 12:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-22 12:03:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-01-06 12:48:04 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5716 to
the following vulnerability:

xend in Xen 3.3.0 does not properly restrict a guest VM's write access
within the /local/domain xenstore directory tree, which allows guest
OS users to cause a denial of service and possibly have unspecified
other impact by writing to (1) console/tty, (2) console/limit, or (3)
image/device-model-pid.  NOTE: this issue exists because of erroneous
set_permissions calls in the fix for CVE-2008-4405.


Patch from Daniel P.Berrange is available here:
Comment 1 Jan Lieskovsky 2009-01-06 12:49:49 EST
This issue affects the version of the Xen package, as shippped with
Red Hat Enteprise Linux 5.

This issue affects the versions of the Xen package, as shipped with
Fedora releases of 9, 10 and devel.
Comment 2 Daniel Berrange 2009-01-06 13:01:33 EST
This is already address in RHEL-5.3 and RHEL-5.2.x  z-stream, when QA identified that our proposed original fix didn't pass the tests

See 5.3:

* Thu Dec 18 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-80.el5
- More fixes for Xenstore unsafe data access (CVE-2008-4405, rhbz #464817)

And for 5.2.1

* Thu Dec 18 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-64.el5_2.9
- More fixes for Xenstore unsafe data access (CVE-2008-4405, rhbz #464817)

eg, See additional patch applied for bug 465938 comment 8, and bug 465937 comment 6.

We've not fixed the original CVE-2008-4405 bug in Fedora yet, so no need for this new CVE bug there either AFAICT
Comment 4 Tomas Hoger 2009-01-07 07:27:23 EST
Updated Xen packages were released to address CVE-2008-4405:


The patch used in the errata does not introduce the problem known as CVE-2008-5716.
Comment 5 Chris Lalancette 2009-10-22 12:03:08 EDT
OK, this has been long released, so closing out this tracking bug.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.